/*
 * Copyright (c) 2015, Oracle and/or its affiliates. All rights reserved.
 * Copyright (C) 2015, IS2T - EDC compliance and optimizations.
 * DO NOT ALTER OR REMOVE COPYRIGHT NOTICES OR THIS FILE HEADER.
 *
 * This code is free software; you can redistribute it and/or modify it
 * under the terms of the GNU General Public License version 2 only, as
 * published by the Free Software Foundation.  Oracle designates this
 * particular file as subject to the "Classpath" exception as provided
 * by Oracle in the LICENSE file that accompanied this code.
 *
 * This code is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
 * FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
 * version 2 for more details (a copy is included in the LICENSE file that
 * accompanied this code).
 *
 * You should have received a copy of the GNU General Public License version
 * 2 along with this work; if not, write to the Free Software Foundation,
 * Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA.
 *
 * Please contact Oracle, 500 Oracle Parkway, Redwood Shores, CA 94065 USA
 * or visit www.oracle.com if you need additional information or have any
 * questions.
 */
package com.is2t.support.net.ssl;


/*
 * A TLS/SSL connection established with these methods will only understand the TLSv1 protocol. 
 * A client will send out TLSv1 client hello messages and will indicate that it only understands TLSv1. 
 * A server will only understand TLSv1 client hello messages. 
 * This especially means, that it will not understand SSLv2 client hello messages.
 * It will also not understand SSLv3 client hello messages.
 */
public class TLSv10Context extends AbstractSSLContext {

	public TLSv10Context() throws Exception {
		super();
	}

	@Override
	protected ProtocolVersion getProtocol() {
		return ProtocolVersion.TLSv1;
	}


}
