/*
 * Copyright 2018 IS2T - EDC compliance and optimizations.
 * DO NOT ALTER OR REMOVE COPYRIGHT NOTICES OR THIS FILE HEADER.
 *
 * This code is free software; you can redistribute it and/or modify it
 * under the terms of the GNU General Public License version 2 only, as
 * published by the Free Software Foundation.  Oracle designates this
 * particular file as subject to the "Classpath" exception as provided
 * by Oracle in the LICENSE file that accompanied this code.
 *
 * This code is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
 * FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
 * version 2 for more details (a copy is included in the LICENSE file that
 * accompanied this code).
 *
 * You should have received a copy of the GNU General Public License version
 * 2 along with this work; if not, write to the Free Software Foundation,
 * Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA.
 *
 * Please contact Oracle, 500 Oracle Parkway, Redwood Shores, CA 94065 USA
 * or visit www.oracle.com if you need additional information or have any
 * questions.
 */
package com.is2t.support.security;

import java.security.PrivateKey;

import javax.security.auth.DestroyFailedException;

import com.microej.security.util.Arrays;

/**
 *
 */
public class NativePrivateKey extends NativeKey implements PrivateKey {

	private boolean destroyed;

	/**
	 * @param keyData
	 * @param algorithm
	 */
	public NativePrivateKey(byte[] keyData, String algorithm) {
		super(keyData, algorithm);
		destroyed = false;
	}

	@Override
	public void destroy() throws DestroyFailedException {
		if (!destroyed) {
			destroyed = true;
			Arrays.fill(keyData, (byte) 0);
		}
	}

	@Override
	public boolean isDestroyed() {
		return destroyed;
	}

}
