/**
 * Java
 *
 * Copyright 2012-2020 MicroEJ Corp. All rights reserved.
 * This library is provided in source code for use, modification and test, subject to license terms.
 * Any modification of the source code will break MicroEJ Corp. warranties on the whole library.
 */
package ej.ecom.mobile;

import java.io.IOException;

/**
 * This exception is thrown by PDPSession to indicate that an I/O error occurred during a PDP session.
 */
public class PDPSessionException extends IOException {

	/**
	 * Constructs an PDPSessionException with null as its error detail message.
	 */
	public PDPSessionException() {
		super();
	}

	/**
	 * Constructs an PDPSessionException with the specified detail message.
	 * 
	 * @param msg
	 *            detail message
	 */
	public PDPSessionException(String msg) {
		super(msg);
	}

}
