/*
 * Java
 *
 * Copyright 2019-2020 MicroEJ Corp. All rights reserved.
 * This library is provided in source code for use, modification and test, subject to license terms.
 * Any modification of the source code will break MicroEJ Corp. warranties on the whole library.
 */

package ej.gnss;

import ej.sni.NativeException;
import ej.sni.NativeIOException;

/**
 * Class defining native function for gnss functionality
 */
public class GnssMicroEJNative {
	public static native float GNSS_getLatitude();

	public static native float GNSS_getLongitude();

	public static native float GNSS_getAltitude();

	public static native float GNSS_getVelocity();

	public static native long GNSS_getTime();

	// fetch new data from the file descriptor
	public static native void GNSS_fetchData();

	// State machine
	public static native void GNSS_initialize() throws NativeException;

	public static native void GNSS_start() throws NativeIOException;

	public static native void GNSS_stop() throws NativeIOException;

	public static native void GNSS_close() throws NativeIOException;

	public static final int GNSS_READ_INVALID_DATA_ERR_CODE = -2;
	public static final int GNSS_READ_FAILED_ERR_CODE = -1;
}
