/*
 * C
 *
 * Copyright 2020 MicroEJ Corp.
 * This software has been designed or modified by MicroEJ Corp.
 * MicroEJ Corp. grants to THALES the non-exclusive right to freely use, modify and distribute this software.
 *
 */

/**
 * @file
 * @brief MicroEJ startup.
 * @author MicroEJ Developer Team
 * @version 1.0.0
 * @date 24 April 2020
 */

#ifndef MICROEJ_MAIN_H_
#define MICROEJ_MAIN_H_

#ifdef __cplusplus
    extern "C" {
#endif

#include "gina.h"

/**
 * @brief Creates and starts a MicroEJ instance. This function returns when the MicroEJ execution ends.
 */
void microej_main(void);

/**
 * @brief Adds a callback to the cleanup handle. The callback will be called when the application is stopped.
 *
 * @param callback Callback function to register.
 */
void add_cleanup_callback(gina_uwmod_cleanup_cb_fn callback);

#ifdef __cplusplus
    }
#endif

#endif /* MICROEJ_MAIN_H_ */
