/*
 * C
 *
 * Copyright 2020 MicroEJ Corp.
 * This software has been designed or modified by MicroEJ Corp.
 * MicroEJ Corp. grants to THALES the non-exclusive right to freely use, modify and distribute this software.
 *
 */

#ifndef MICROEJ_TIME_H_
#define MICROEJ_TIME_H_

#include <stdint.h>

#ifdef __cplusplus
    extern "C" {
#endif

/**
 * @brief Initializes the hardware timer for MicroEJ.
 * 
 */
void microej_timer_initialize(void);

/**
 * @brief Gets the current time in milliseconds.
 * 
 * @return int64_t The current time in milliseconds.
 */
int64_t microej_timer_get_current_time(void);

/**
 * @brief Gets the current time in nanoseconds.
 * 
 * @return int64_t The current time in nanoseconds.
 */
int64_t microej_timer_get_time_nanos(void);

#ifdef __cplusplus
    }
#endif

#endif /* MICROEJ_TIME_H_ */
