@echo off
REM BAT
REM Copyright 2020 MicroEJ Corp.
REM This software has been designed or modified by MicroEJ Corp.
REM MicroEJ Corp. grants to THALES the non-exclusive right to freely use, modify and distribute this software.

set TEST_SRC=src\*.c
set TEST_BIN_PATH=bin

REM set MEJ_CORE=..\microej\core
REM set MEJ_CORE_SRC=%MEJ_CORE%\src
REM set MEJ_CORE_INC=%MEJ_CORE%\inc
REM We don't want to compile main.c so we add each file separately
REM set "MEJ_CORE_SRCS=%MEJ_CORE_SRC%\LLBSP_exs82.c %MEJ_CORE_SRC%\LLMJVM_threadx.c %MEJ_CORE_SRC%\microej_time.c"
set MEJ_UTIL_INC=..\microej\util\inc
set MEJ_UTIL_SRC=..\microej\util\src\*.c
set MEJ_UI_SRC=..\microej\ui\src\*.c
set MEJ_GNSS_SRC=..\microej\gnss\src\*.c

REM set MEJ_PLATFORM_INC=..\microej\platform\inc
REM set MEJ_PLATFORM_LIB=..\microej\platform\lib

set MEJ_APP=..\microej\platform\lib\microejapp.o

set APPNAME=test
set DAM_RO_BASE=0x42000000

set LLVM_ROOT_PATH=%SDK_PATH%\tools\windows\llvm
set TOOLCHAIN_PATH=%LLVM_ROOT_PATH%\bin
set TOOLCHAIN_PATH_STANDARDS=%LLVM_ROOT_PATH%\armv7m-none-eabi\libc\include
set LLVMLIB=%LLVM_ROOT_PATH%\lib\clang\4.0.3\lib
set LLVMLINK_PATH=%LLVM_ROOT_PATH%\tools\bin
set DAM_INC_BASE=%SDK_PATH%\common\include
set DAM_LIB_PATH=%SDK_PATH%\common\libs
set PYTHON_PATH=C:\Python27\python.exe

set BUILD_PATH=build
set DAM_DAM_DEMO_LD_PATH=build

set DAM_LIBNAME=txm_lib.lib
set TIMER_LIBNAME=timer_dam_lib.lib
set DIAG_LIB_NAME=diag_dam_lib.lib
set QMI_LIB_NAME=qcci_dam_lib.lib
set QMI_QCCLI_LIB_NAME=IDL_DAM_LIB.lib

set DAM_ELF_NAME=%APPNAME%.elf
set DAM_TARGET_BIN=%APPNAME%.bin
set DAM_MAP_NAME=%APPNAME%.map

RD /S /Q %TEST_BIN_PATH%
RD /S /Q %BUILD_PATH%
DEL *.o

if not exist %BUILD_PATH% (
  mkdir %BUILD_PATH%
)

if not exist %TEST_BIN_PATH% (
  mkdir %TEST_BIN_PATH%
)


echo "Application RO base selected = %DAM_RO_BASE%"

set DAM_CPPFLAGS=-DQAPI_TXM_MODULE -DTXM_MODULE -DGINA_TXM_MODULE -DTX_DAM_QC_CUSTOMIZATIONS -DTX_ENABLE_PROFILING -DTX_ENABLE_EVENT_TRACE -DTX_DISABLE_NOTIFY_CALLBACKS  -DFX_FILEX_PRESENT -DTX_ENABLE_IRQ_NESTING  -DTX3_CHANGES

set DAM_CFLAGS=-marm -target armv7m-none-musleabi -mfloat-abi=softfp -mfpu=none -mcpu=cortex-a7 -mno-unaligned-access  -fms-extensions -Osize -fshort-enums -Wbuiltin-macro-redefined

set DAM_INCPATHS=-I %DAM_INC_BASE% -I %DAM_INC_BASE%\threadx_api  -I %DAM_INC_BASE%\qapi -I %DAM_INC_BASE%\gina -I %TOOLCHAIN_PATH_STANDARDS% -I %LLVMLIB% -I %MEJ_PLATFORM_INC% -I %MEJ_CORE_INC% -I %MEJ_UTIL_INC%


echo "Compiling %APPNAME% application"


%TOOLCHAIN_PATH%\clang.exe -E  %DAM_CPPFLAGS% %DAM_CFLAGS% txm_module_preamble_llvm.S > %BUILD_PATH%\txm_module_preamble_llvm_pp.S

%TOOLCHAIN_PATH%\clang.exe  -c %DAM_CPPFLAGS% %DAM_CFLAGS% %BUILD_PATH%\txm_module_preamble_llvm_pp.S -o %BUILD_PATH%\txm_module_preamble_llvm.o

if %ERRORLEVEL%==0 goto proceed
if %ERRORLEVEL%==1 goto exit
:proceed

REM %TOOLCHAIN_PATH%\clang.exe -c %DAM_CPPFLAGS% %DAM_CFLAGS% %DAM_INCPATHS% %TEST_SRC% %MEJ_CORE_SRCS% %MEJ_UTIL_SRC% %MEJ_GNSS_SRC% %MEJ_UI_SRC%
%TOOLCHAIN_PATH%\clang.exe -c %DAM_CPPFLAGS% %DAM_CFLAGS% %DAM_INCPATHS% %TEST_SRC%

if %ERRORLEVEL%==0 (
echo "compilation succeed"
move *.o %BUILD_PATH%
echo "Linking %APPNAME% application"

REM %TOOLCHAIN_PATH%\clang++.exe -d -o %BUILD_PATH%\%DAM_ELF_NAME% -target armv7m-none-musleabi -fuse-ld=qcld -lc++ -Wl,-mno-unaligned-access -fuse-baremetal-sysroot -fno-use-baremetal-crt -Wl,-entry=%DAM_RO_BASE% %BUILD_PATH%\txm_module_preamble_llvm.o -Wl,-T%APPNAME%.ld -Wl,-Map=%BUILD_PATH%\%DAM_MAP_NAME%,-gc-sections -Wl,-gc-sections -Wl,--start-group %BUILD_PATH%\*.o %DAM_LIB_PATH%\*.lib %MEJ_PLATFORM_LIB%\*.a %MEJ_APP% -Wl,--end-group
%TOOLCHAIN_PATH%\clang++.exe -d -o %BUILD_PATH%\%DAM_ELF_NAME% -target armv7m-none-musleabi -fuse-ld=qcld -lc++ -Wl,-mno-unaligned-access -fuse-baremetal-sysroot -fno-use-baremetal-crt -Wl,-entry=%DAM_RO_BASE% %BUILD_PATH%\txm_module_preamble_llvm.o -Wl,-T%APPNAME%.ld -Wl,-Map=%BUILD_PATH%\%DAM_MAP_NAME%,-gc-sections -Wl,-gc-sections -Wl,--start-group %BUILD_PATH%\*.o %DAM_LIB_PATH%\*.lib -Wl,--end-group
%PYTHON_PATH% %LLVMLINK_PATH%\llvm-elf-to-hex.py --bin %BUILD_PATH%\%DAM_ELF_NAME% --output %TEST_BIN_PATH%\%DAM_TARGET_BIN%

echo "%APPNAME% application is built at" %TEST_BIN_PATH%\%DAM_TARGET_BIN%
)else (
echo "Fail to compile. Exiting...."
echo "compilation failed with errors"
DEL *.o
EXIT /B %ERRORLEVEL% 
:exit
EXIT /B %ERRORLEVEL% 
)
