/*
 * C
 *
 * Copyright 2020 MicroEJ Corp.
 * This software has been designed or modified by MicroEJ Corp.
 * MicroEJ Corp. grants to THALES the non-exclusive right to freely use, modify and distribute this software.
 *
 */

typedef enum
{
  USER_GPIO1 = 0,
  USER_GPIO2,
  USER_GPIO3,
  USER_GPIO4,
  USER_GPIO5,
  USER_GPIO6,
  USER_GPIO7,
  USER_GPIO8,
  USER_I2CDAT=9,
  USER_I2CCLK,
  USER_GPIO16=16,
  USER_GPIO17,
  USER_GPIO18,
  USER_GPIO19,
  USER_GPIO20,
  USER_GPIO21,
  USER_GPIO22,
  USER_GPIO23,
  USER_GPIO24,
  USER_GPIO_END = 0xffff
} UserGpioPin;



typedef struct
{
    UserGpioPin GpioPin ;
    uint32_t nGpioNumber;     /*gpio platform number*/
} GPIO_MAP;

GPIO_MAP gpio_mapping_table[] =
{
 {USER_GPIO1,28}, //DTR0
 {USER_GPIO2,27},   //DCD0
 {USER_GPIO3,3},    //DSR0
 {USER_GPIO4,26},   //
 {USER_GPIO5,9},    //LED
 {USER_GPIO6,11},   //PWM2
 {USER_GPIO7,10},   //PWM1
 {USER_GPIO8,8},    //COUNTER
 {USER_I2CDAT,6},   //I2CDAT
 {USER_I2CCLK,7},   //I2CLK
 {USER_GPIO16,12},  //RXD1
 {USER_GPIO17,13},  //TXD1
 {USER_GPIO18,14},  //RTS1/SPI_CS
 {USER_GPIO19,15},  //CTS1/SPI_CLK
 {USER_GPIO20,23},  //TXDDAI
 {USER_GPIO21,22},  //RXDAI
 {USER_GPIO22,21},  //TFSDAI
 {USER_GPIO23,24},  //SCLK
 {USER_GPIO24,52},  //RING0
 

   
};
